import * as base from './_crud-base'

const path = '/api/v1/prescription'
const name = 'prescription'

export function create(data: any) {
  return base.create(path, data)
}

export function getList(params: any = null) {
  return base.getList(path, params)
}

export function getDetail(id: number | string, params?: any) {
  return base.getDetail(path, id, name, params)
}

export function update(id: number | string, data: any) {
  return base.update(path, id, data)
}

export function remove(id: number | string) {
  return base.remove(path, id)
}
